package com.fjhx.sale.service.documents;

import com.fjhx.sale.entity.documents.po.DocumentsProduct;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.documents.vo.DocumentsProductVo;
import com.fjhx.sale.entity.documents.dto.DocumentsProductSelectDto;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * <p>
 * 单证-产品表 服务类
 * </p>
 *
 * @author
 * @since 2023-04-20
 */
public interface DocumentsProductService extends BaseService<DocumentsProduct> {

    /**
     * 单证-产品表分页
     */
    Page<DocumentsProductVo> getPage(DocumentsProductSelectDto dto);

    /**
     * documentId 单证ID
     * @return
     */
    List<DocumentsProduct> getDpList(Long documentId);

    /**
     * documentId 单证ID
     * @return
     */
    DocumentsProduct getMaxMoneyData(Long documentId);

}
