package com.fjhx.account.entity.account.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * 打款记录
 * </p>
 *
 * @author
 * @since 2023-09-04
 */
@Getter
@Setter
@TableName("account_payment_records")
public class AccountPaymentRecords extends BasePo {

    /**
     * 打款id
     */
    private Long accountPaymentId;

    /**
     * 打款金额
     */
    private BigDecimal
            amount;

}
